Subject: Re: 4.9-rc0: nf_hooks_ingress missing, breaking compilation

From: Aaron Conole <[email-masked]>
Date: Thu, 06 Oct 2016 09:54:15 -0400

Pavel Machek <[email-masked]> writes:

> Hi!

Hi Pavel,

> In kernel based on edadd0e, I get plenty of errors such as:

In this case, I screwed up - sincere apologies.

Enabling CONFIG_NETFILTER_INGRESS will work around this error for the
time being, while the fix makes it way through the various trees.

> net/netfilter/core.c:96:3: note: in expansion of macro ‘rcu_assign_pointer’
>    rcu_assign_pointer(reg->dev->nf_hooks_ingress, entry);
>    ^
> In file included from ./include/linux/linkage.h:4:0,
>                  from ./include/linux/kernel.h:6,
>                  from net/netfilter/core.c:10:
> net/netfilter/core.c:96:30: error: ‘struct net_device’ has no member named ‘nf_hooks_ingress’
>    rcu_assign_pointer(reg->dev->nf_hooks_ingress, entry);
>                               ^
>
> Config is attached.
>
> [Ok, I guess testing -rc0 is "a bit too brave" :-)]
>
> Best regards,
> 									Pavel